%define module	scientific
%define name   	python-%{module}
%define version 2.6.1

Summary: 	Various Python modules for scientific computing
Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel 4
Source: 	ScientificPython-%{version}.tar.bz2
License: 	BSD-like
Group: 		Development/Python
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	python-numeric
BuildRequires: 	python python-devel
BuildRequires: 	netcdf-devel python-numeric-devel
Url: 		http://dirac.cnrs-orleans.fr/ScientificPython/

%description
ScientificPython is a collection of Python modules that are useful
for scientific computing. In this collection you will find modules
that cover basic geometry (vectors, tensors, transformations, vector
and tensor fields), quaternions, automatic derivatives, (linear)
interpolation, polynomials, elementary statistics, nonlinear
least-squares fits, unit calculations, Fortran-compatible text
formatting, 3D visualization via VRML, and two Tk widgets for simple
line plots and 3D wireframe models.

%package devel
Summary:	Various Python modules for scientific computing, header files
Group: 		Development/Python
Requires: 	python-devel %{name} = %{version}

%description devel
This package contain headers file associated with the %{name} package.

%prep
%setup -q -n ScientificPython-%{version}

%build
%__python setup.py build

%install
%__python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.MPI README.BSPlib Doc/Reference Doc/BSP_Tutorial.pdf
%{py_platsitedir}/Scientific/*
%if "%py_ver" == "2.5"
%{py_platsitedir}/*.egg-info
%endif
%defattr(755,root,root)
%{_bindir}/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/python%pyver/Scientific/




%changelog
* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.6.1-4mdv2009.0
+ Revision: 259777
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.6.1-3mdv2009.0
+ Revision: 247631
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.6.1-1mdv2008.1
+ Revision: 136460
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Lev Givon <lev@mandriva.org>
    - Update to 2.6.1.


* Tue Feb 20 2007 Lev Givon <lev@mandriva.org> 2.6-1mdv2007.0
+ Revision: 123082
- Update to latest stable release 2.6.
  Add python-numeric install dependency.

* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.4.9-6mdv2007.1
+ Revision: 90634
- Rebuild against new Python
- import python-scientific-2.4.9-5mdk

* Wed Dec 21 2005 Michael Scherer <misc@mandriva.org> 2.4.9-5mdk
- Fix BuildRequires
- fix rpmbuildupdatability

* Tue Dec 20 2005 Michael Scherer <misc@mandriva.org> 2.4.9-4mdk
- fix BuildRequires

* Tue Jun 21 2005 Lehmann Gatan <gaetan.lehmann@jouy.inra.fr> 2.4.9-3mdk
- buildrequires netcdf-devel
- use mkrel
- fix some lint

* Thu Feb 03 2005 Michael Scherer <misc@mandrake.org> 2.4.9-2mdk
- add BuildRequires

* Mon Nov 29 2004 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.4.9-1mdk
- initial contrib release.

